Subject: Re: [PATCH] veth: replace iflink by a dedicated symlink in sysfs

From: Jiri Benc <[email-masked]>
Date: Wed, 19 Aug 2015 13:00:13 +0200

On Wed, 19 Aug 2015 08:44:08 +0200, Vincent Bernat wrote:
> While the documentation doesn't say exactly what kind of relationship
> iflink should represent, until a45253, only lower devices were
> advertised this way. While veth cannot have a lower device, using iflink
> to advertise the peer may create infinite loops in programs using iflink
> to discover device topology.
> 
> Instead of advertising the peer link with iflink, a symbolic link "peer"
> is added to each peer.

By removing veth_get_iflink, you're also stopping IFLA_LINK being
advertised in netlink messages, which consequently makes impossible to
reliably match veth peers across name spaces again. This would be a
huge step backwards.

 Jiri

-- 
Jiri Benc